aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/merge-dualHEAD')
-rwxr-xr-xscripts/merge-dualHEAD64
1 files changed, 64 insertions, 0 deletions
diff --git a/scripts/merge-dualHEAD b/scripts/merge-dualHEAD
new file mode 100755
index 000000000..ca05ee4f5
--- /dev/null
+++ b/scripts/merge-dualHEAD
@@ -0,0 +1,64 @@
+#!/bin/bash
+# This script is licensed under BSD-3
+
+if [[ -f /usr/lib64/portage/bin/isolated-functions.sh ]]; then
+ . /usr/lib64/portage/bin/isolated-functions.sh
+elif [[ -f /usr/lib/portage/bin/isolated-functions.sh ]]; then
+ . /usr/lib/portage/bin/isolated-functions.sh
+else
+ alias ebegin=echo
+ alias eend=true
+fi
+
+ebegin "Starting from master"
+ echo
+ git checkout master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Fetching everything"
+ echo
+ git fetch --all -v || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Merging github"
+ echo
+ git merge -v github/master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Pushing to g.o.g.o"
+ git push -v origin || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Branching out github"
+ echo
+ git checkout -b github-merging github/master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Merging in g.o.g.o"
+ echo
+ git merge -v origin/master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Pushing to github"
+ echo
+ git push -v github HEAD:master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Going back to master"
+ echo
+ git checkout master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Removing github branch"
+ echo
+ git branch -v -D github-merging || exit; _ret=$?
+ echo
+eend ${_ret}